KRAKEN-BUILD(1)

NAME
kraken-build - assigning taxonomic labels to short DNA sequences

SYNOPSIS
kraken-build [task option] [options]

DESCRIPTION

  Task options (exactly one must be selected):

--download-taxonomy
    Download NCBI taxonomic information

--download-library TYPE
    Download partial library (TYPE = one of "bacteria", "plasmids", "viruses", "human")

--add-to-library FILE
    Add FILE to library

--build
    Create DB from library (requires taxonomy d/l'ed and at least one file in library)

--rebuild
    Create DB from library like --build, but remove existing non-library/taxonomy files before build

--clean
    Remove unneeded files from a built database

--shrink NEW_CT
    Shrink an existing DB to have only NEW_CT k-mers

--standard
    Download and create default database

--upgrade
    Upgrade an existing older database to use scrambled minimizer ordering (see README for details)

--help
    Print this message

--version
    Print version information

OPTIONS

--db NAME
    Kraken DB/library name (mandatory except for --help/--version)

--threads #
    Number of threads (def: 1)

--new-db NAME
    New Kraken DB name (shrink task only; mandatory for shrink task)

--kmer-len NUM
    K-mer length in bp (build/shrink tasks only; def: 31)

--minimizer-len NUM
    Minimizer length in bp (build/shrink tasks only; def: 15)

--jellyfish-hash-size STR
    Pass a specific hash size argument to jellyfish when building database (build task only)

--max-db-size SIZE
    Shrink the DB before full build, making sure database and index together use <= SIZE gigabytes (build task only)

--shrink-block-offset NUM
    When shrinking, select the k-mer that is NUM positions from the end of a block of k-mers (default: 1)

--work-on-disk
    Perform most operations on disk rather than in RAM (will slow down build in most cases)